Alibaba
wan2.6
Alibaba’s multimodal video generation model series supporting role-play (reference-to-video), multi-shot narrative, audio-visual sync, and up to 15-second output, enabling creators to star in AI videos with their own appearance and voice.
| Provider | Alibaba |
| Tasks | text-to-video · image-to-video |
| Starting from | 0.304900 USD / call · Pricing details |
POST
/
video-generation
wan2.6
curl --request POST \
--url https://api.linkmodel.ai/api/v1/video-generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"first_frame_image": "<string>",
"resolution": "720P",
"audio_url": "<string>",
"model": "wan2.6"
}
'import requests
url = "https://api.linkmodel.ai/api/v1/video-generation"
payload = {
"prompt": "<string>",
"first_frame_image": "<string>",
"resolution": "720P",
"audio_url": "<string>",
"model": "wan2.6"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
first_frame_image: '<string>',
resolution: '720P',
audio_url: '<string>',
model: 'wan2.6'
})
};
fetch('https://api.linkmodel.ai/api/v1/video-generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
"order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
"status": "processing",
"price": 0.074
},
"msg": "success",
"request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}{
"code": 400,
"msg": "task_id is required",
"request_id": "96be7a7d-3e81-4916-a6b8-19b32773a693"
}{
"code": 401,
"data": {},
"msg": "invalid api key",
"request_id": "bff4c295-c7da-4507-9708-4627cb6373ba"
}{
"code": 500,
"msg": "create task failed: billing: code=100601: insufficient balance",
"request_id": "3409f6fb-fa9a-4534-b530-195b5f6f4e32"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Length must be between 1 and 2000.
Required string length:
1 - 2000Must be one of: 1080P, 720P. Defaults to 720P.
Available options:
1080P, 720P Must be one of: 5, 10, 15.
Available options:
5, 10, 15 Available options:
wan2.6 Was this page helpful?
⌘I
wan2.6
